List all subscription orders
curl --request GET \
--url https://api.salesbricks.com/api/v2/subscriptions/{subscription_id}/orders \
--header 'X-SALESBRICKS-KEY: <api-key>'import requests
url = "https://api.salesbricks.com/api/v2/subscriptions/{subscription_id}/orders"
headers = {"X-SALESBRICKS-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-SALESBRICKS-KEY': '<api-key>'}};
fetch('https://api.salesbricks.com/api/v2/subscriptions/{subscription_id}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contract_value": "<string>",
"pdf_url": "<string>",
"starts_at": "2023-12-25",
"ends_at": "2023-12-25",
"order_type": "TRIAL"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Subscription History
List all subscription orders
Returns all closed orders for a subscription, including order dates, type, contract value, and PDF download links. Orders are returned in chronological order by start date (ascending by default). Supports pagination with limit/offset and ordering by starts_at, ends_at, or created_at.
GET
/
subscriptions
/
{subscription_id}
/
orders
List all subscription orders
Authorizations
API key for authentication
Path Parameters
Pattern:
^([a-zA-Z\d\-]+)$Query Parameters
Number of results to return per page.
The initial index from which to return the results.
Which field to use when ordering the results.
Related topics
List all subscription bricksList all subscription upgrade open ordersList all subscription recast open orders